package com.usky.meeting.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 门禁设备表
 * </p>
 *
 * @author zyj
 * @since 2024-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class EgDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备uuid
     */
    private Long deviceUuid;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备图片
     */
    private String imgPath;

    /**
     * 设备铭牌
     */
    private String nameplate;

    /**
     * 登记时间
     */
    private LocalDateTime registerDate;

    /**
     * 维护人
     */
    private String maintainer;

    /**
     * 联系方式
     */
    private String contacts;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 创建日期
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 组织机构ID
     */
    private Integer deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;


}
